<?php
function wpsc_fl_install() {

	wpsc_fl_create_options();

}

// Trigger the creation of Admin options for this Plugin
function wpsc_fl_create_options() {

	switch( wpsc_get_major_version() ) {

		case '3.7':
			$position = 'wpsc_product_addon_after_descr';
			break;

		case '3.8':
			$position = 'wpsc_product_addons';
			break;

	}
	if( !get_option( 'wpsc_fl_position' ) )
		add_option( 'wpsc_fl_position', $position );
	if( !get_option( 'wpsc_fl_display_productspage' ) )
		add_option( 'wpsc_fl_display_productspage', 1 );
	if( !get_option( 'wpsc_fl_display_singleproduct' ) )
		add_option( 'wpsc_fl_display_singleproduct', 1 );
	if( !get_option( 'wpsc_fl_show_faces' ) )
		add_option( 'wpsc_fl_show_faces', 1 );
	if( !get_option( 'wpsc_fl_width' ) )
		add_option( 'wpsc_fl_width', 400 );
	if( !get_option( 'wpsc_fl_colour_scheme' ) )
		add_option( 'wpsc_fl_colour_scheme', 'light' );

}
?>