<form method="post" action="<?php the_permalink(); ?>" id="your-profile">

	<table class="form-table">

		<tr>
			<th scope="row"><label for="position">Position:</label></th>
			<td>
				<select name="position">
<?php
$output = '';
for( $i = 0; $i < count( $positions ); $i++ )
	$output .= '<option value="' . $positions[$i][0] . '"' . selected( $positions[$i][0], $position, false ) . '>' . $positions[$i][1] . '&nbsp;</option>';
echo $output; ?>
				</select>
			</td>
		</tr>

	</table>
	<p><?php _e( 'For manual positioning use the following PHP template tag within the Single Product template.', 'wpsc_fl' ); ?></p>
	<p><code><?php echo htmlentities2( '<?php function_exists( \'wpsc_the_facebook_like_button\' ) ) wpsc_the_facebook_like_button(); ?>' ); ?></code></p>

	<h3><?php _e( 'Presentation', 'wpsc_fl' ); ?></h3>
	<table class="form-table">

		<tr>
			<th scope="row"><label><?php _e( 'Products Page Visibility', 'wpsc_fl' ); ?>:</label></th>
			<td>
				<fieldset>
					<label><input type="radio" name="display_productspage" value="1"<?php checked( $display_productspage, 1 ); ?> /> <?php _e( 'I would like to display Facebook Like on the Products Page', 'wpsc_fl' ); ?></label><br />
					<label><input type="radio" name="display_productspage" value="0"<?php checked( $display_productspage, 0 ); ?> /> <?php _e( 'I would like to hide Facebook Like on the Products Page', 'wpsc_fl' ); ?></label>
				</fieldset>
				<p class="description"><?php _e( 'Show or hide Facebook Like on the Products Page.', 'wpsc_fl' ); ?></p>
			</td>
		</tr>

		<tr>
			<th scope="row"><label><?php _e( 'Single Product Visibility', 'wpsc_fl' ); ?>:</label></th>
			<td>
				<fieldset>
					<label><input type="radio" name="display_singleproduct" value="1"<?php checked( $display_singleproduct, 1 ); ?> /> <?php _e( 'I would like to display Facebook Like on the Product detail view', 'wpsc_fl' ); ?></label><br />
					<label><input type="radio" name="display_singleproduct" value="0"<?php checked( $display_singleproduct, 0 ); ?> /> <?php _e( 'I would like to hide Facebook Like on the Product detail view', 'wpsc_fl' ); ?></label>
				</fieldset>
				<p class="description"><?php _e( 'Show or hide Facebook Like on the Product detail view.', 'wpsc_fl' ); ?></p>
			</td>
		</tr>

		<tr>
			<th scope="row"><label for="show_faces"><?php _e( 'Show faces', 'wpsc_fl' ); ?>:</label></th>
			<td>
				<input type="checkbox" name="show_faces"<?php checked( $show_faces, 1 ); ?> />
			</td>
		</tr>

		<tr>
			<th scope="row"><label for="width"><?php _e( 'Width', 'wpsc_fl' ); ?>:</label></th>
			<td>
				<input type="text" name="width" class="regular-text" value="<?php echo $width; ?>" maxlength="4" style="width:40px;" />
			</td>
		</tr>

		<tr>
			<th scope="row"><label for="colour_scheme"><?php _e( 'Colour scheme', 'wpsc_fl' ); ?>:</label></th>
			<td>
				<select name="colour_scheme">
					<option value="light"<?php selected( $colour_scheme, 'light' ); ?>><?php _e( 'Light', 'wpsc_fl' ); ?>&nbsp;</option>
					<option value="dark"<?php selected( $colour_scheme, 'dark' ); ?>><?php _e( 'Dark', 'wpsc_fl' ); ?>&nbsp;</option>
				</select>
			</td>
		</tr>

	</table>

	<p class="submit">
		<input type="submit" value="<?php _e( 'Save Changes', 'wpsc_fl' ); ?>" class="button-primary" />
	</p>
	<input type="hidden" name="action" value="update" />

</form>